Bug 3114 - globusrun-ws should give hints on where the RSL parsing failed
: globusrun-ws should give hints on where the RSL parsing failed
Status: RESOLVED FIXED
: GRAM
wsrf gram clients
: unspecified
: PC Linux
: P3 normal
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-04-08 14:34 by
Modified: 2005-06-09 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-08 14:34:13
[rynge@dc-user2 tmp]$ globusrun-ws -submit -F viz-login.isi.edu -f bla.xml
globusrun-ws: Error loading rsl
an unknown error occurred


The error should include an element or line number where the parsing failed.
------- Comment #1 From 2005-05-16 14:07:02 -------
I think Joe has taken over globusrun-ws bugs, so I'm reassigning to him.
------- Comment #2 From 2005-06-09 15:46:50 -------
I've modified the soap parser somewhat to provide better error messages when
parsing (committed to trunk and gt4 branch). Some errors are still pretty
cryptic (some come from libxml and some are generated internally), but I think
there should be no more "unknown error occurred" messages from globusrun from a
bad input file.